[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToCurr

Convert a string to a currency value

## Declaration

Source position: line 0

`function StrToCurr(`
`const S: string`
`):Currency; function StrToCurr(`
`const S: string;`
`const FormatSettings: TFormatSettings`
`):Currency;`

## Description

StrToCurr converts a string to a currency value and returns the value. The string should contain a valid currency amount, without currency symbol. If the conversion fails, an EConvertError exception is raised.

## Errors

On error, an EConvertError exception is raised.

## See also

CurrToStr |  | Convert a currency value to a string.
StrToCurrDef |  | Convert a string to a currency value, using a default value

Documentation generated on: Feb 26 2014